Subject: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode

From: Juri Linkov <[email-masked]>
Date: Sat, 03 Sep 2022 22:44:08 +0300

>> Yes, but this is not the context menu that is active everywhere else.  I
>> believe that what I am expecting is intuitive, as browsers behave the
>> same way.  If you have a text field and right-click on any regular word,
>> you get the "undo", "cut", "paste", etc. options.  But if you
>> right-click on a typo you get spell checking suggestion _in addition_ to
>> the previous options.
>
> Makes sense to me.  Anybody else have an opinion here?

I agree.  Some apps add spellcheck suggestions in a submenu,
some add them at the top of the context menu.

Still the biggest task is to refactor `flyspell-correct-word'
that would allow this.